org.apache.felix.ipojo.manipulator.render

## Interface MetadataFilter

All Known Implementing Classes:
  ManipulatedMetadataFilter

    public interface MetadataFilter

Defines a filter to be tested against Element before rendering them into the Manifest. If one filter accept the element, the given Element will be filtered, other filters will be ignored.

Author:
  Felix Project Team

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `accept(org.apache.felix.ipojo.metadata.Element element)` Tests if the given `Element` is accepted by the filter.

### Method Detail

#### accept

    boolean accept(org.apache.felix.ipojo.metadata.Element element)

Tests if the given `Element` is accepted by the filter.

Parameters:
  `element` - the tested element.
Returns:
  true if the filter accept the value (element will be omitted from the rendered metadata), false otherwise.